[![Build Status](https://drone.io/github.com/ltackmann/handheld/status.png)](https://drone.io/github.com/ltackmann/handheld/latest)

Handheld
========
Handheld is a wrapper for PhoneGap allowing you to write native mobile applications in Dart.

Quick Guide
-----------

1. Go through the [PhoneGap](doc/PhoneGap.md) setup guide and make sure that PhoneGap is working before you proceed. 

2. Add the folowing to your **pubspec.yaml** and run **pub install**
```yaml
    dependencies:
      handheld: any
```

3. Run it
```dart
    import "package:handheld/handheld.dart";
    main() {
      handheld.onDeviceReady((Device device) {
        device.notification.alert("hello from Dart");
      });
    }
```

PhoneGap API status
-------------------

| Function            | Supported | PhoneGap API Version  |
| ------------------- |:---------:| ---------------------:|
| [Accelerometer][1]  | **yes**   | 2.5                   |
| [Camera][2]         | **no**    | 2.5                   |
| [Capture][3]        | **no**    | 2.5                   |
| [Compass][4]        | **no**    | 2.5                   |
| [Connection][5]     | **no**    | 2.5                   |
| [Contacts][6]       | **no**    | 2.5                   |
| [Device][7]         | **yes**   | 2.5                   |
| [Events][8]         | **no**    | 2.5                   |
| [File][9]           | **no**    | 2.5                   |
| [Geolocation][10]   | **no**    | 2.5                   |
| [Globalization][11] | **no**    | 2.5                   |
| [InAppBrowser][12]  | **no**    | 2.5                   |
| [Media][13]         | **no**    | 2.5                   |
| [Notification][14]  | **yes**   | 2.5                   |
| [Splashscreen][15]  | **no**    | 2.5                   |
| [Storage][16]       | **no**    | 2.5                   |


[1]: http://docs.phonegap.com/en/2.5.0/cordova_accelerometer_accelerometer.md.html
[2]: http://docs.phonegap.com/en/2.5.0/cordova_camera_camera.md.html
[3]: http://docs.phonegap.com/en/2.5.0/cordova_media_capture_capture.md.html
[4]: http://docs.phonegap.com/en/2.5.0/cordova_compass_compass.md.html
[5]: http://docs.phonegap.com/en/2.5.0/cordova_connection_connection.md.html
[6]: http://docs.phonegap.com/en/2.5.0/cordova_contacts_contacts.md.html
[7]: http://docs.phonegap.com/en/2.5.0/cordova_device_device.md.html
[8]: http://docs.phonegap.com/en/2.5.0/cordova_events_events.md.html
[9]: http://docs.phonegap.com/en/2.5.0/cordova_file_file.md.html
[10]: http://docs.phonegap.com/en/2.5.0/cordova_geolocation_geolocation.md.html
[11]: http://docs.phonegap.com/en/2.5.0/cordova_globalization_globalization.md.html
[12]: http://docs.phonegap.com/en/2.5.0/cordova_inappbrowser_inappbrowser.md.html
[13]: http://docs.phonegap.com/en/2.5.0/cordova_media_media.md.html
[14]: http://docs.phonegap.com/en/2.5.0/cordova_notification_notification.md.html
[15]: http://docs.phonegap.com/en/2.5.0/cordova_splashscreen_splashscreen.md.html
[16]: http://docs.phonegap.com/en/2.5.0/cordova_storage_storage.md.html




